stages:
  - deploy_stage

variables:
  SERVICE_NAME: 'gitlab-calc-8003'
  PORT: '8003'
  REGION: 'us-central1'
  IMAGE: 'ankitraut0987/calc-http-8003'

Deploy:
  stage: deploy_stage
  image: google/cloud-sdk
  script:
    - gcloud auth activate-service-account --key-file=$key
    - gcloud config set project proven-answer-414613
    - gcloud run deploy $SERVICE_NAME --image=$IMAGE --platform managed --region $REGION --port $PORT --allow-unauthenticated
    # - gcloud run services add-iam-policy-binding ${SERVICE_NAME} --region=${REGION} --member='allUsers' --role='roles/run.invoker'
  
  tags:
    - server
